<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@90200=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Beam S. Weapon PL1">
    <script state="run">
      <action>maincpu.pb@902A0=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Flame S. Weapon PL1">
    <script state="run">
      <action>maincpu.pb@902A0=02</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Enable invincibility during game play ONLY!!</comment>
    <script state="run">
      <action>maincpu.pb@92952=01</action>
      <action>maincpu.pb@92954=00</action>
      <action>maincpu.pb@9295A=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@90300=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Beam S. Weapon PL2">
    <script state="run">
      <action>maincpu.pb@902B0=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Flame S. Weapon PL2">
    <script state="run">
      <action>maincpu.pb@902B0=02</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Enable invincibility during game play ONLY!!</comment>
    <script state="run">
      <action>maincpu.pb@92A32=01</action>
      <action>maincpu.pb@92A34=00</action>
      <action>maincpu.pb@92A3A=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL1 Shot1]Next Code</comment>
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@92C88=F0</action>
    </script>
  </cheat>

  <cheat desc="Sound Test (Use in Test Mode)">
    <parameter min="1" max="151" step="1"/>
    <script state="change">
      <action>maincpu.pb@904C0=param</action>
      <action>maincpu.pw@9001E=04C0</action>
      <action>maincpu.pw@9001A=04C1</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
